Opened 12 years ago

Closed 12 years ago

#4279 closed patch (fixed)

Also return the current timestamp in an ISO date format.

Reported by: Andrew Ruthven <andrew@…> Owned by: paulh
Priority: minor Milestone: 0.21
Component: mythtv Version: head
Severity: medium Keywords:
Cc: Ticket locked: no

Description

Currently the XML returns the timestamp using localised formats which looks like:

<Status version="0.21.20071119-1" protoVer="36" time="4:36 PM" date="Tue Nov 27 2007" >

Or for French:

<Status version="0.20.20070821-1" protoVer="31" time="22:21" date="mar nov 27 2007" >

The attached patch adds a timestamp attribute which returns the timestamp using ISO formatting which bypasses the pesky locale differences. The output looks like:

<Status version="0.21.20071202-1" protoVer="36" ISODate="2007-12-07T11:06:27" time="11:06 AM" date="12/7/2007" >

This will make parsing of the timestamp for test cases much easier for my mythtv-status package.

Attachments (1)

0002-Also-return-the-current-timestamp-in-an-ISO-date-for.patch (1.1 KB) - added by Andrew Ruthven <andrew@…> 12 years ago.

Download all attachments as: .zip

Change History (3)

Changed 12 years ago by Andrew Ruthven <andrew@…>

comment:1 Changed 12 years ago by paulh

Milestone: unknown0.21
Owner: changed from Isaac Richards to paulh
Status: newassigned

comment:2 Changed 12 years ago by paulh

Resolution: fixed
Status: assignedclosed

(In [15684]) Add the current date/time in ISO date format to the status xml feed. Patch by Andrew Ruthven. Closes #4279.

Note: See TracTickets for help on using tickets.